Bug 830513 - OVIRT-SDK: [RFE] SDK should expose api root resource (/api)
OVIRT-SDK: [RFE] SDK should expose api root resource (/api)
Status: CLOSED CURRENTRELEASE
Product: oVirt
Classification: Community
Component: ovirt-engine-sdk (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.3.4
Assigned To: Michael Pasternak
infra
: FutureFeature, Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-10 06:00 EDT by Elena
Modified: 2014-07-20 02:10 EDT (History)
10 users (show)

See Also:
Fixed In Version: 3.1.0.4
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-17 02:49:45 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Elena 2012-06-10 06:00:30 EDT
api.get_summary().get_vms().total

AttributeError: API instance has no attribute 'get_summary'
Comment 1 Michael Pasternak 2012-06-10 06:17:18 EDT
api is only wrapper for inner collections, it's not /api resource representation,
if you feel that sdk should expose this resource, please file RFE.

thanks.
Comment 2 Elena 2012-06-11 05:32:46 EDT
Should add get_summary() for api methods, same as in rest apis
Comment 3 Elena 2012-08-08 08:43:14 EDT
Verified in si13
Comment 4 Elena 2012-08-09 00:12:56 EDT
Verified in version 3.1.0.5

Note You need to log in before you can comment on or make changes to this bug.